% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/user_data_preparation.R
\name{fantom_to_expset}
\alias{fantom_to_expset}
\title{GAPGOM - fantom_to_expset()}
\usage{
fantom_to_expset(fanraw, species, filter = TRUE, verbose = FALSE)
}
\arguments{
\item{fanraw}{raw data.table object from the fantom_load_raw() function.}

\item{species}{either "human" or "mouse". This is important because both
datasets have different metadata/stats}

\item{filter}{Filter, this causes only entries to be added that have an
entrez ID. Normally this should be left on default (TRUE) because all
algorithms in this library need the entrez IDs for translation.}

\item{verbose}{Switch to TRUE for extra messages. Default=FALSE}
}
\value{
The resulting ExpressionSet contains the original data. The 
expressiondata can be found under assayData(ExpressionSet)[["exprs"]]
Other information (first 6 info columns) can be found under;
pData(featureData(ExpressionSet))
}
\description{
Convert raw data.table/data.frame fantom5 object to a proper ExpressionSet.
}
\details{
This function converts fantom5 data and converts it into an ExpresionSet.
This ExpressionSet is then returned.
This function only accepts the RLE normalized data!
}
\examples{
fantom_file <- fantom_download(organism = "mouse", noprompt = TRUE)
ft5 <- fantom_load_raw(fantom_file, verbose = TRUE, example = TRUE)
expset <- fantom_to_expset(ft5, "mouse", verbose = TRUE)
}
